Bug 119056 - LTC7038-hostname not being propogated from parm file to installer
Summary: LTC7038-hostname not being propogated from parm file to installer
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-24 15:57 UTC by Bill Goodrich
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 14:20:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TUI install with hostname propagated (15.70 KB, image/png)
2004-03-24 17:07 UTC, Brock Organ
no flags Details

Description Bill Goodrich 2004-03-24 15:57:14 UTC
The following has be reported by IBM LTC:  
hostname not being propogated from parm file to installer
Hardware Environment:
zSeries

Software Environment:
RHEL3 U2

Steps to Reproduce:
1. normal install 
2.
3.

Actual Results:

host name not being propogated from parm file to installer

Expected Results:

hostname should have been progated 

Additional Information:
parm file content:

 root=/dev/ram0 ro ip=off DASD=0201                                  
 CHANDEV=qeth0,0x0600,0x0601,0x0602 BROADCAST=192.168.70.255         
 QETHPARM=add_parms,0x10,0x0600,0x0602,portname:PETLINUX             
 NETTYPE=eth IPADDR=192.168.70.131 HOSTNAME=rh31bill.pdl.pok.ibm.com 
 NETMASK=255.255.255.0 GATEWAY=192.168.70.1 MTU 1500                 
 DNS=192.168.70.2 SEARCHDNS=pdl.pok.ibm.com NETWORK=192.168.70.0

Comment 1 Brock Organ 2004-03-24 17:05:01 UTC
Hi Bill,

In my tests so far the hostname is propagated through the installer
(see attached screenshot for example) ... I will try a permutation of
the parm file like yours above (ie the order of the parameters) to see
if that matters ...

Comment 2 Brock Organ 2004-03-24 17:07:11 UTC
Created attachment 98831 [details]
TUI install with hostname propagated

Comment 4 Brock Organ 2004-03-24 21:11:08 UTC
with additional help from bill (thanks!) I was able to reproduce this
internally ...

Comment 6 Florian La Roche 2004-04-20 09:55:21 UTC
Hostnames are only set for the installed machine if DNS contains
a valid setting for this. This is done this way across all archs AFAIK.


Comment 7 Bob Johnson 2004-04-20 13:40:06 UTC
So I would say this is working as designed ?


Comment 8 Bill Goodrich 2004-04-21 14:45:52 UTC
That messes up any hope for an automated install for those machines.
If the user specifies a host name why not accept it? 


Note You need to log in before you can comment on or make changes to this bug.